# List debit memo items Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about all items of a debit memo. A debit memo item is a single line item in a debit memo. ### Filtering You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body. If the value of a filterable field is string, you can set the corresponding query parameter to null when filtering. Then, you can get the response data with this field value being null. Examples: - /v1/debit-memos/402890245c7ca371015c7cb40b28001f/items?amount=100 - /v1/debit-memos/402890245c7ca371015c7cb40b28001f/items?amount=100&sort=createdDate Endpoint: GET /v1/debit-memos/{debitMemoKey}/items Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. - `amount` (number) This parameter filters the response based on the amount field. - `beAppliedAmount` (number) This parameter filters the response based on the beAppliedAmount field. - `createdById` (string) This parameter filters the response based on the createdById field. - `createdDate` (string) This parameter filters the response based on the createdDate field. - `id` (string) This parameter filters the response based on the id field. - `serviceEndDate` (string) This parameter filters the response based on the serviceEndDate field. - `serviceStartDate` (string) This parameter filters the response based on the serviceStartDate field. - `sku` (string) This parameter filters the response based on the sku field. - `skuName` (string) This parameter filters the response based on the skuName field. - `sourceItemId` (string) This parameter filters the response based on the sourceItemId field. - `subscriptionId` (string) This parameter filters the response based on the subscriptionId field. - `updatedById` (string) This parameter filters the response based on the updatedById field. - `updatedDate` (string) This parameter filters the response based on the updatedDate field. - `sort` (string) This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on. A sortable field uses the following form: operator field_name You can use at most two sortable fields in one URL path. Use a comma to separate sortable fields. For example: operator field_name, operator field_name operator is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field. - The - operator indicates an ascending order. - The + operator indicates a descending order. By default, the response data is displayed in descending order by updated date. field_name indicates the name of a sortable field. The supported sortable fields of this operation are as below: - id - amount - beAppliedAmount - sku - skuName - serviceStartDate - serviceEndDate - sourceItemId - createdDate - createdById - updatedDate - updatedById - subscriptionId Examples: - /v1/debit-memos/402890245c7ca371015c7cb40b28001f/items?sort=createdDate - /v1/debit-memos/402890245c7ca371015c7cb40b28001f/items?amount=100&sort=createdDate ## Path parameters: - `debitMemoKey` (string, required) The unique ID or number of a debit memo. For example, 8a8082e65b27f6c3015ba419f3c2644e or DM00000001. ## Response 200 fields (application/json): - `items` (array) Container for debit memo items. - `items.amount` (number) The amount of the debit memo item. For tax-inclusive debit memo items, the amount indicates the debit memo item amount including tax. For tax-exclusive debit memo items, the amount indicates the debit memo item amount excluding tax. - `items.amountWithoutTax` (number) The debit memo item amount excluding tax. - `items.appliedToItemId` (string) The parent debit memo item that this debit memo items is applied to if this item is discount. - `items.balance` (number) The balance of the debit memo item. - `items.beAppliedAmount` (number) The applied amount of the debit memo item. - `items.createdById` (string) The ID of the Zuora user who created the debit memo item. - `items.createdDate` (string) The date and time when the debit memo item was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10. - `items.description` (string) The description of the debit memo item. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 257.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `items.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the debit memo item from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `items.financeInformation` (object) Container for the finance information related to the debit memo item. - `items.financeInformation.deferredRevenueAccountingCode` (string) The accounting code for the deferred revenue, such as Monthly Recurring Liability. - `items.financeInformation.deferredRevenueAccountingCodeType` (string) The type of the deferred revenue accounting code, such as Deferred Revenue. - `items.financeInformation.recognizedRevenueAccountingCode` (string) The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges. - `items.financeInformation.recognizedRevenueAccountingCodeType` (string) The type of the recognized revenue accounting code, such as Sales Revenue or Sales Discount. - `items.financeInformation.revenueRecognitionRuleName` (string) The name of the revenue recognition rule governing the revenue schedule. - `items.financeInformation.revenueScheduleNumber` (string) The revenue schedule number. The revenue schedule number is always prefixed with "RS", for example, RS-00000001. - `items.id` (string) The ID of the debit memo item. - `items.processingType` (string) The kind of the charge for the debit memo item. Its possible values are Charge and Discount. - `items.quantity` (number) The number of units for the debit memo item. - `items.reflectDiscountInNetAmount` (boolean) When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set the excludeItemBillingFromRevenueAccounting field to true. * If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true. - `items.serviceEndDate` (string) The end date of the service period associated with this debit memo item. Service ends one second before the date specified in this field. - `items.serviceStartDate` (string) The start date of the service period associated with this debit memo item. If the associated charge is a one-time fee, this date is the date of that charge. - `items.sku` (string) The SKU for the product associated with the debit memo item. - `items.skuName` (string) The name of the SKU. - `items.shipToContactId` (string) The ID of the ship-to contact associated with the invoice item. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `items.soldToContactId` (string) The ID of the sold-to contact associated with the invoice item. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `items.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice item. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `items.sourceItemId` (string) The ID of the source item. - `items.sourceItemType` (string) The type of the source item. Enum: "CreditMemoItem", "SubscriptionComponent", "InvoiceDetail", "ProductRatePlanCharge" - `items.subscriptionId` (string) The ID of the subscription associated with the debit memo item. - `items.taxMode` (string) The tax mode of the debit memo item, indicating whether the amount of the debit memo item includes tax. Enum: "TaxExclusive", "TaxInclusive" - `items.taxationItems` (object) Container for the taxation items of the debit memo item. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 239.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `items.taxationItems.data` (array) List of taxation items. - `items.taxationItems.data.balance` (number) The balance of the taxation item. - `items.taxationItems.data.creditAmount` (number) The amount of credit memos applied to the debit memo. - `items.taxationItems.data.exemptAmount` (number) The calculated tax amount excluded due to the exemption. - `items.taxationItems.data.financeInformation` (object) Container for the finance information related to the taxation item. - `items.taxationItems.data.financeInformation.salesTaxPayableAccountingCode` (string) The accounting code for the sales taxes payable. - `items.taxationItems.data.financeInformation.salesTaxPayableAccountingCodeType` (string) The type of the accounting code for the sales taxes payable. - `items.taxationItems.data.id` (string) The ID of the taxation item. - `items.taxationItems.data.jurisdiction` (string) The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city. - `items.taxationItems.data.locationCode` (string) The identifier for the location based on the value of the taxCode field. - `items.taxationItems.data.name` (string) The name of the taxation item. - `items.taxationItems.data.paymentAmount` (number) The amount of payments applied to the debit memo. - `items.taxationItems.data.sourceTaxItemId` (string) The ID of the source taxation item. - `items.taxationItems.data.taxAmount` (number) The amount of taxation. - `items.taxationItems.data.taxCode` (string) The tax code identifies which tax rules and tax rates to apply to a specific debit memo. - `items.taxationItems.data.taxCodeDescription` (string) The description of the tax code. - `items.taxationItems.data.taxDate` (string) The date that the tax is applied to the debit memo, in yyyy-mm-dd format. - `items.taxationItems.data.taxRate` (number) The tax rate applied to the debit memo. - `items.taxationItems.data.taxRateDescription` (string) The description of the tax rate. - `items.taxationItems.data.taxRateType` (string) The type of the tax rate. Enum: "Percentage", "FlatFee" - `items.taxationItems.nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `items.unitOfMeasure` (string) The units to measure usage. - `items.unitPrice` (number) The per-unit price of the debit memo item. - `items.updatedById` (string) The ID of the Zuora user who last updated the debit memo item. - `items.updatedDate` (string) The date and time when the debit memo item was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-02 15:36:10. - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.